1. Welcome to the official forum for MINIX devices!

Kodi V17 & My Neo X8H-H Plus

Discussion in 'NEO X8-H Plus Official Firmware Releases' started by Les Thomas, Jul 21, 2016.

Thread Status:
Not open for further replies.
  1. kirsa

    kirsa New Member

    HardwareGuru told that x8 gets 5.1.1 so it will come as i eagerly wait with my x8 too. After update i plan to install KODI 17. I dont know when but i am happy it comes at least someday :)
  2. Menorca Man

    Menorca Man Active Member Trusted Helper

  3. scubascuba3

    scubascuba3 Member

  4. Menorca Man

    Menorca Man Active Member Trusted Helper

    Which version of XBMC would that be then?! Run XBMC, go to SYSTEM > System info and post a screenshot.
  5. kirsa

    kirsa New Member

    Looks like next box i should buy is x86 based as those darn ARM based boxes have mostly closed source chips or Nvidia shield which has way longer support. Amlogic is horrible company until he provides FULL source code but currently Amlogic even wont provide SDK-s. Boycott Amlogic until source is released.

    Sad that bare X8 has been abandoned.
  6. scubascuba3

    scubascuba3 Member

    [​IMG]
  7. dryster

    dryster Active Member

    Is this all that an Android box has become? - a box to run Kodi, and if it cannot run the latest version of Kodi then it's a piece of crap?
  8. scubascuba3

    scubascuba3 Member

    Maybe. Kodi fills a gap sometimes, well it does until it stops working when 17 kicks off.
  9. dryster

    dryster Active Member

    Unboxings and reviews on Youtube and online of most Android boxes eventually turn into a Kodi review, which is the main reason that mini computers with HDMI are being sold I suppose although it is a shame that not more Android box manufacturers are striving for HD Netflix capability, but I suppose that is the fault of Netflix not licensing.
  10. MINIX - Ken

    MINIX - Ken MINIX Team Member Administrator

    Dear all,

    We shall release a Lollipop based firmware for X8H-PLUS in March or April,
    based on the last SDK released by Amlogic (May 2015).

    This is not within our original plan because of the lack of support from chipset vendor,
    but we understand lots of you want it and therefore we shall just make one.

    Kodi 17 will work but will not be fully functional.
    (e.g. their newest passthrough needs API23 or higher)

    Please note.

    Reference:
    http://openlinux.amlogic.com/Android/Mbox/5.1_ReleaseInfo
  11. MINIX - Ken

    MINIX - Ken MINIX Team Member Administrator

    you may uninstall your older version and then install a newer one.
    scubascuba3 likes this.
  12. kirsa

    kirsa New Member

    MINIX, please drop off Amlogic to something much more open. Amlogic restricts everyone so much without releasing full code.
    bel4_20 and Dinko like this.
  13. Armand

    Armand Member


    this is actually very good news, could you explain a little more about not being fully functional, what will not work?

    Thanks
  14. Villa

    Villa Well-Known Member Super Moderator

  15. Citislicker

    Citislicker Member

    I own two Minix boxes and I can't download the New Version of Kodi 17.1.. the issue here is simple guys. You need to the Android 5.0 and above to in order to have Kodi 17.0 or 17.1 .. Minix will tell you to buy another box instead of providing there customer base with firmware update. Total bullshit if you ask me. Why should I spend more money on a new box ? Why can't Minix figure this shit out?
  16. mark2

    mark2 Active Member

    Cant you see the post above yours wrote by Minix Ken
  17. dryster

    dryster Active Member

    What about when Kodi 19 comes out and it's minimum requirement is Nougat - API 24 - are we going to blame Minix again?.
  18. scubascuba3

    scubascuba3 Member

    No, people just expect a reasonable amount of support and be upgraded to the next android version in this case.
    me who likes this.
  19. Gh0st

    Gh0st Australia's Finest Since 1981 Administrator

    Ahhh well I'm sick of this conversation going around in circles. Seems a hard one for people to grasp.
    You're getting a buggy firmware built from what is essentially a proof of concept SDK.
    So you'll get your Kodi 17 with awesome features like the Estuary skin and no passthrough audio.
    I'll just leave mine on KitKat and be stuck with a stable bug free firmware with the limitations in Kodi such as passthrough audio and all the same add-ons as 17.

    When they stop working I'll run LibreELEC Kodi 17,18 or whatever.

    Thread closed, all further threads on the will be closed. It's been explained enough!

    Sent from my C6903 using Tapatalk
Thread Status:
Not open for further replies.